Browser Checker

Opening this page checks whether your browser supports the most recent release of Blackboard Learn.

If you're using an older version of Blackboard Learn, your browser may be supported. Refer to the Browser Support topic for more information.

Your browser is: get_withBb();

Operating System get_os();
Browser Language get_browser_language();
Browser Version get_browser();
Browser Security - Cookies get_cookies();
Browser Security - Pop-up blocker get_popup();
  • If you passed all the checks, you should be able to use all of the main features of Blackboard Learn.
  • If you see a warning icon and an "NOT SUPPORTED" message, your web browser is not supported by Blackboard Learn.

 

Supported browsers already have PDF integration, eliminating the need of a double-check for it.

If you see a green check and a "SUPPORTED" message but did NOT pass all the checks, you should be able to use most of the main features of Blackboard Learn. Certain features may require you to enable a plug-in or update its version. Please note that some of Blackboard's content and integrated tools may use pop-up windows and you may need to be prepared to accept them when required.